1. Myberrygm's Avatar
    I am trying to install Etrade Mobile Pro on my Curve 8310. I'm with AT&T. I have OS 4.2.2.170. It appears to download successfully, then reboot, and then when I open the program to do the final install, it wants to continue installing and gives me this error message:
    "there was an error during download. Please restart application and try again."
    I have tried numerous times restarting, taking the battery out, uninstalling, re-installing and all with the exact same error message. Etrade support tried to help, but to no avail and said they'd have to call me back in a couple days.

    Any ideas?????
    01-13-09 03:35 PM
  2. Reed McLay's Avatar
    Welcome to CrackBerry.

    A couple of days? That very strange, you would think product installation issues would be well documented and at their fingertips.

    The only think I can suggest, download another copy of the install package. The odds are against a corrupted download, but it can happen.

    Failing that, perhaps you can locate the previous ETrade package, something could be wrong in the install of this package. That would explain the lack of support at the Help desk too.
    01-13-09 04:16 PM
  3. Myberrygm's Avatar
    Thanks. The support guy at Etrade walked me through a few things, like removing the battery and checking a few settings (firewall, etc), but after 20 minutes on the phone, no resolution. I have removed the program and downloaded a new install packages several times, and get the same error each time.

    I'm sure other people have gotten this to work on this OS version, so this is puzzling me. I was considering upgrading the OS to 4.5 until I read that Etrade is sketchily compatible with that version, at best.

    I will look for previous version of Etrade Pro. Is there a version for AT&T between 4.2 and 4.5?
    01-13-09 06:50 PM
  4. scoobysteve0's Avatar
    im having the same problem with mine blackberry bold....idk why it wont work, it didnt work on my old curve eather....hmmm if you find a fix please email me at sp-campbell@wiu.edu
    01-27-09 11:49 AM
  5. Myberrygm's Avatar
    Well believe it or not, I figured it out. A simple solution, really.
    It was my data package with AT&T. When I changed phones from a Blackjack to this Blackberry, the AT&T rep told me the current data package I had was fine. The package I had was called "PDA Personal with 200 msgs", or something like that. I was able to download several other applications, had access to the internet, texts, etc on my Blackberry, so I figured everything was ok. But I also couldn't get Personal email. That feature hadn't been showing up, so I knew something wasn't right.

    So I went to check out the AT&T site and check out my features. I saw that there was a package with exactly the same features for exactly the same price, but SPECIFICALLY for the Blackberry, so I called AT&T and changed it to that. It is called "Blackberry Personal 200". That fixed everything. I then deleted the Etrade on my phone and started the download and install all over again. Worked like a champ! And Personal email showed up.

    Don't know if that will help, but it's worth a try. Guess I should always question what the phone reps tell me, I was brand new to the Blackberry world...

    About the Bold - check out other posts as I think there has been specific mention of the operating system (4.5) on the Bold maybe not working with Etrade Pro properly. But many people have found workarounds and have been successful. Hope this at least gets you to that point!
    01-28-09 05:52 PM
LINK TO POST COPIED TO CLIPBOARD